Bug 1026332 - Installer is removing execute permission on jboss-as-domain.sh script.
Installer is removing execute permission on jboss-as-domain.sh script.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 08:05 EST by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:12:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-04 08:05:18 EST
Description of problem:
 Permissions on jboss-as-domain.sh are changed by installation. The script is used for running EAP as service [1] in domain mode.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
1. Install EAP.
2. Navigate to $INSTALLATION_TARGET directory.
3. ~/EAP-6.2.0]$ ll jboss-eap-6.2/bin/init.d/

Actual results:
-rw-rw-r--. 1 pkremens pkremens  369 Oct 29 17:41 jboss-as.conf
-rw-rw-r--. 1 pkremens pkremens 3838 Oct 29 17:41 jboss-as-domain.sh
-rwxrwxr-x. 1 pkremens pkremens 3672 Oct 29 17:41 jboss-as-standalone.sh

Expected results:
-rw-rw-r--. 1 pkremens pkremens  369 Oct 29 12:41 jboss-as.conf
-rwxr-xr-x. 1 pkremens pkremens 3838 Oct 29 12:41 jboss-as-domain.sh
-rwxr-xr-x. 1 pkremens pkremens 3672 Oct 29 12:41 jboss-as-standalone.sh

Additional info:
[1] - http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Installation_Guide/Install_JBoss_Enterprise_Application_Platform_6_Red_Hat_Enterprise_Linux_Service.html
Comment 1 Francisco Canas 2013-11-05 12:23:09 EST
I have marked the jboss-as-domain.sh file as executable in the core-packs. This cuases it to be installed with the correct permissions.

See:
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=64ffb71d032cbc57d22239d6dd011dfae9b7ad7f
Comment 2 Petr Kremensky 2013-11-14 09:49:53 EST
Verified on EAP 6.2.0.CR1 installer.

Note You need to log in before you can comment on or make changes to this bug.